﻿using System;
using System.Collections.Generic;
using System.Linq;
using Microsoft.Phone.Controls;
using System.ComponentModel;

namespace ID653607
{
	public partial class MainPage : PhoneApplicationPage, INotifyPropertyChanged
	{
		private int counter;

		// Constructor
		public MainPage()
		{
			InitializeComponent();

			this.MyText = "My Suggestions";

			this.DataContext = this;

			List<string> suggestions = new List<string>();

			for (int i = 0; i < 50; i++)
			{
				suggestions.Add("Suggestion " + i);
			}

			this.radAutoCompleteBox.SuggestionsSource = suggestions;
		}
		private string myText;
		public string MyText
		{
			get
			{
				return this.myText;
			}
			set
			{
				if (this.myText != value)
				{
					this.myText = value;
					this.OnPropertyChanged("MyText");
				}
			}
		}

		private void OnPropertyChanged(string propertyName)
		{
			if (this.PropertyChanged != null)
			{
				this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
			}
		}

		public event PropertyChangedEventHandler PropertyChanged;

		private void Button_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			this.MyText = "Modified " + counter.ToString();
			counter += 1;
		}
	}
}